gtkmm 3.13.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gtk::PrintError Class Reference

`#include <gtkmm/printoperation.h>`

Inheritance diagram for Gtk::PrintError:
[legend]

## Public Types
enum | Code { GENERAL, INTERNAL_ERROR, NOMEM, INVALID_FILE }

## Public Member Functions
| PrintError (Code error_code, const Glib::ustring& error_message)
| PrintError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Exception
virtual Glib::ustring | what () const =0

## Member Enumeration Documentation

enum Gtk::PrintError::Code

Enumerator
GENERAL |
INTERNAL_ERROR |
NOMEM |
INVALID_FILE |

## Constructor & Destructor Documentation

Gtk::PrintError::PrintError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::PrintError::PrintError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gtk::PrintError::code | ( |  | ) | const